/***************************************************************************
*                 _                                _                       *
*                /_\         Chess Board          /_\                      *
*                \_/      -------------------     \_/                      *
*                /_\             Menu             /_\                      *
*                |_|      -------------------     |_|                      *
*               /___\      GNU GPL Version 2     /___\                     *
*                                                                          *
***************************************************************************/
#ifndef CBMENU_H_
#define CBMENU_H_
/* Header Files */
#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <curses.h>
/* Define Key */
#define ENTER 10
#define ESCAPE 27
#define XW 0x57
#define XB 0x42
#define Xe 0x65
#define XS 0x53
#define XC 0x43
#define XG 0x47

//-----------------------------------------------------------------------------

class Menu
{
public:	
	Menu();
	void colorMenu();
	void deleteMenu(WINDOW **item,int count);
	WINDOW** drawMenu(int start_col);
	int scrollMenu(WINDOW **item,int count,int menu_start_col);
};

//-----------------------------------------------------------------------------

#endif


